#ifndef COMBOPUSHBUTTON_H
#define COMBOPUSHBUTTON_H

#include <QPushButton>

class ComboPushButton : public QPushButton
{
	Q_OBJECT
private:
	bool hover_on_button;
	bool hover_on_arrow;
public:
	explicit ComboPushButton(QWidget *parent = 0);
	bool event(QEvent *e);
	void paintEvent(QPaintEvent *);
signals:
	void buttonClicked();
	void arrowPressed(QPoint pos);
public slots:
	void onClicked();
};

#endif // COMBOPUSHBUTTON_H
